@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    color: $black;
    font-weight: 300;
    background-color: #F8F8F8;
    font-family: $font-family-primary;
    font-size: size-rel(18px);
    line-height: $line-height-base;

    @include media-breakpoint-up(lg) {
        font-size: size-rel(22px);
    }

    @include media-breakpoint-up(xxl) {
        font-size: size-rel(30px);
    }
}

// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 500;
    line-height: 1.2;
    font-family: $font-family-secondary;
}

h1, .h1 {
    font-weight: 500;
    line-height: 1;
    font-size: size-rel(54px);
    margin-bottom: 49px;
    font-family: $font-family-secondary;

    @include media-breakpoint-up(lg) {
        font-size: size-rel(70px);
        margin-bottom: 80px;
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(90px);
    }

    @include media-breakpoint-up(xxl) {
        font-size: size-rel(140px);
        margin-bottom: 110px;
    }
}

h2, .h2 {
    margin-bottom: 1.5rem;
    font-size: size-rel(32px);
}

h3, .h3 {
    margin-bottom: 1.25rem;
    font-size: size-rel(24px);
}

h4, .h4 {
    margin-bottom: 1.25rem;
    font-size: size-rel(20px);
}

h5, .h5 {
    margin-bottom: 1.25rem;
    font-size: size-rel(16px);
}

h6, .h6 {
    margin-bottom: 1.25rem;
    font-size: size-rel(14px);
}

a {
    color: $primary;
    text-decoration: underline;

    &:hover {
        color: $primary;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {
    padding-left: 2rem;
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


